window.adf || (window.adf = {});
window.adf.$shared$ = window.adf.$shared$ || {};
window.adf.$shared$.$impl$ = window.adf.$shared$.$impl$ || {};
window.adf.$shared$.$impl$.$masonryLayout$ = window.adf.$shared$.$impl$.$masonryLayout$ || {};
window.adf.$shared$.$impl$.$masonryLayout$.$MasonryLayoutCommon$ = function $window$adf$$shared$$$impl$$$masonryLayout$$$MasonryLayoutCommon$$($elem$$61$$, $rtl$$12_sizeDivWrapper$$, $automationEnabled$$1_style$$44$$, $selectors$$12_sizeDiv$$, $styles$$4$$, $callbackInfo$$3$$) {
  var $mlcClass$$ = window.adf.$shared$.$impl$.$masonryLayout$.$MasonryLayoutCommon$;
  null == $mlcClass$$.$_agentTypeAndVersion$ && ($mlcClass$$.$_agentTypeAndVersion$ = $mlcClass$$.$_getAgentTypeAndVersion$(navigator.userAgent));
  this.$_elem$ = $elem$$61$$;
  this.$_rtl$ = $rtl$$12_sizeDivWrapper$$;
  this.$_automationEnabled$ = $automationEnabled$$1_style$$44$$;
  $selectors$$12_sizeDiv$$ && $selectors$$12_sizeDiv$$.$tiles$ && (this.$_tilesSelector$ = $selectors$$12_sizeDiv$$.$tiles$);
  $styles$$4$$ && ($styles$$4$$.$transitionComponentResizeToStyleClass$ && (this.$_transitionComponentResizeToStyleClass$ = $styles$$4$$.$transitionComponentResizeToStyleClass$), $styles$$4$$.$transitionComponentResizeToFastStyleClass$ && (this.$_transitionComponentResizeToFastStyleClass$ = $styles$$4$$.$transitionComponentResizeToFastStyleClass$), $styles$$4$$.$transitionMoveToStyleClass$ && (this.$_transitionMoveToStyleClass$ = $styles$$4$$.$transitionMoveToStyleClass$), $styles$$4$$.$transitionMoveToFastStyleClass$ && 
  (this.$_transitionMoveToFastStyleClass$ = $styles$$4$$.$transitionMoveToFastStyleClass$), $styles$$4$$.$transitionHideFromStyleClass$ && (this.$_transitionHideFromStyleClass$ = $styles$$4$$.$transitionHideFromStyleClass$), $styles$$4$$.$transitionHideToStyleClass$ && (this.$_transitionHideToStyleClass$ = $styles$$4$$.$transitionHideToStyleClass$), $styles$$4$$.$transitionShowFromStyleClass$ && (this.$_transitionShowFromStyleClass$ = $styles$$4$$.$transitionShowFromStyleClass$), $styles$$4$$.$transitionShowToStyleClass$ && 
  (this.$_transitionShowToStyleClass$ = $styles$$4$$.$transitionShowToStyleClass$), $styles$$4$$.$transitionResizeToStyleClass$ && (this.$_transitionResizeToStyleClass$ = $styles$$4$$.$transitionResizeToStyleClass$));
  $callbackInfo$$3$$ && ($callbackInfo$$3$$.$addStyleClassName$ && (this.$_addStyleClassNameFunc$ = $callbackInfo$$3$$.$addStyleClassName$), $callbackInfo$$3$$.$removeStyleClassName$ && (this.$_removeStyleClassNameFunc$ = $callbackInfo$$3$$.$removeStyleClassName$), $callbackInfo$$3$$.$getSizeStyleClassName$ && (this.$_getSizeStyleClassNameFunc$ = $callbackInfo$$3$$.$getSizeStyleClassName$), $callbackInfo$$3$$.$getTileSpan$ && (this.$_getTileSpanFunc$ = $callbackInfo$$3$$.$getTileSpan$), $callbackInfo$$3$$.$showTileOnEndFunc$ && 
  (this.$_showTileOnEndFunc$ = $callbackInfo$$3$$.$showTileOnEndFunc$), $callbackInfo$$3$$.$hideTileOnEndFunc$ && (this.$_hideTileOnEndFunc$ = $callbackInfo$$3$$.$hideTileOnEndFunc$), $callbackInfo$$3$$.$layoutOnEndFunc$ && (this.$_layoutOnEndFunc$ = $callbackInfo$$3$$.$layoutOnEndFunc$), $callbackInfo$$3$$.$layoutCycleOnStartFunc$ && (this.$_layoutCycleOnStartFunc$ = $callbackInfo$$3$$.$layoutCycleOnStartFunc$), $callbackInfo$$3$$.$layoutCycleOnEndFunc$ && (this.$_layoutCycleOnEndFunc$ = $callbackInfo$$3$$.$layoutCycleOnEndFunc$), 
  $callbackInfo$$3$$.$sortTilesOriginalOrderFunc$ && (this.$_sortTilesOriginalOrderFunc$ = $callbackInfo$$3$$.$sortTilesOriginalOrderFunc$));
  $rtl$$12_sizeDivWrapper$$ = document.createElement("div");
  $automationEnabled$$1_style$$44$$ = $rtl$$12_sizeDivWrapper$$.style;
  $automationEnabled$$1_style$$44$$.display = "inline-block";
  $automationEnabled$$1_style$$44$$.overflow = "hidden";
  $automationEnabled$$1_style$$44$$.visibility = "hidden";
  $selectors$$12_sizeDiv$$ = document.createElement("div");
  $automationEnabled$$1_style$$44$$ = $selectors$$12_sizeDiv$$.style;
  $automationEnabled$$1_style$$44$$.display = "inline-block";
  $rtl$$12_sizeDivWrapper$$.appendChild($selectors$$12_sizeDiv$$);
  $elem$$61$$.insertBefore($rtl$$12_sizeDivWrapper$$, $elem$$61$$.firstChild);
  this.$_sizeDivWrapper$ = $rtl$$12_sizeDivWrapper$$;
  this.$_sizeDiv$ = $selectors$$12_sizeDiv$$;
  var $self$$74$$ = this;
  this.$_handleTransitionEndFunc$ = function $this$$_handleTransitionEndFunc$$($elem$$61$$) {
    $self$$74$$.$_handleTransitionEnd$($elem$$61$$);
  };
  this.$_hideTilesFunc$ = function $this$$_hideTilesFunc$$() {
    $self$$74$$.$_hideTiles$();
  };
  this.$_handleHideTransitionEndFunc$ = function $this$$_handleHideTransitionEndFunc$$($elem$$61$$) {
    $self$$74$$.$_handleHideTransitionEnd$($elem$$61$$);
  };
  this.$_handleShowTransitionEndFunc$ = function $this$$_handleShowTransitionEndFunc$$($elem$$61$$) {
    $self$$74$$.$_handleShowTransitionEnd$($elem$$61$$);
  };
};
window.adf.$shared$.$impl$.$masonryLayout$.$MasonryLayoutCommon$.prototype.$setup$ = function $window$adf$$shared$$$impl$$$masonryLayout$$$MasonryLayoutCommon$$$$setup$$($init$$1$$, $reorder$$1$$) {
  var $ret$$4$$ = !1;
  $init$$1$$ ? ($ret$$4$$ = this.$_layout$() ? !0 : !1, this.$_reorderTilesForLayout$()) : (this.$_layoutCycleOnStartFunc$ && this.$_layoutCycleOnStartFunc$(), this.$_transitionStart$($reorder$$1$$), $ret$$4$$ = this.$_transitionLayout$());
  return $ret$$4$$;
};
window.adf.$shared$.$impl$.$masonryLayout$.$MasonryLayoutCommon$.prototype.$destroy$ = function $window$adf$$shared$$$impl$$$masonryLayout$$$MasonryLayoutCommon$$$$destroy$$() {
  for (var $elem$$62$$ = this.$_elem$, $children$$74$$ = this.$_getTileChildren$(), $i$$714$$ = 0;$i$$714$$ < $children$$74$$.length;$i$$714$$++) {
    var $style$$45$$ = $children$$74$$[$i$$714$$].style;
    this.$_rtl$ ? $style$$45$$.right = "" : $style$$45$$.left = "";
    $style$$45$$.top = "";
  }
  $elem$$62$$.removeChild(this.$_sizeDivWrapper$);
  this.$_sortTilesOriginalOrderFunc$ = this.$_layoutCycleOnEndFunc$ = this.$_layoutCycleOnStartFunc$ = this.$_layoutOnEndFunc$ = this.$_hideTileOnEndFunc$ = this.$_showTileOnEndFunc$ = this.$_getTileSpanFunc$ = this.$_getSizeStyleClassNameFunc$ = this.$_removeStyleClassNameFunc$ = this.$_addStyleClassNameFunc$ = this.$_elem$ = this.$_arFireHideOnEnd$ = this.$_arInfoletsToHide$ = this.$_arInfoletsToShow$ = this.$_arInfoletsToResize$ = this.$_arMovedInfolets$ = this.$_handleShowTransitionEndFunc$ = 
  this.$_handleHideTransitionEndFunc$ = this.$_hideTilesFunc$ = this.$_handleTransitionEndFunc$ = this.$_sizeDiv$ = this.$_sizeDivWrapper$ = null;
};
window.adf.$shared$.$impl$.$masonryLayout$.$MasonryLayoutCommon$.prototype.$resizeTile$ = function $window$adf$$shared$$$impl$$$masonryLayout$$$MasonryLayoutCommon$$$$resizeTile$$($selector$$7$$, $sizeStyleClass$$9$$) {
  var $infolet$$7$$ = this.$_elem$.querySelector($selector$$7$$);
  if ($infolet$$7$$) {
    this.$_arInfoletsToResize$ || (this.$_arInfoletsToResize$ = []);
    var $arInfoletsToResize$$ = this.$_arInfoletsToResize$;
    $arInfoletsToResize$$.push($infolet$$7$$);
    $arInfoletsToResize$$.push($sizeStyleClass$$9$$);
    this.$_resizingInfolet$ = !0;
    this.$_queueRelayout$();
  }
};
window.adf.$shared$.$impl$.$masonryLayout$.$MasonryLayoutCommon$.prototype.$insertTileDomElem$ = function $window$adf$$shared$$$impl$$$masonryLayout$$$MasonryLayoutCommon$$$$insertTileDomElem$$($tileDomElem$$, $index$$220$$) {
  var $arChildren$$5$$ = this.$_getTileChildren$();
  this.$_sortTilesOriginalOrderFunc$ && this.$_sortTilesOriginalOrderFunc$($arChildren$$5$$);
  var $currChildAtIndex$$ = null;
  0 <= $index$$220$$ && $index$$220$$ < $arChildren$$5$$.length && ($currChildAtIndex$$ = $arChildren$$5$$[$index$$220$$]);
  this.$_elem$.insertBefore($tileDomElem$$, $currChildAtIndex$$);
  this.$_queueRelayout$();
};
window.adf.$shared$.$impl$.$masonryLayout$.$MasonryLayoutCommon$.prototype.$showTile$ = function $window$adf$$shared$$$impl$$$masonryLayout$$$MasonryLayoutCommon$$$$showTile$$($infolet$$8_mlcClass$$1_selector$$8$$) {
  if ($infolet$$8_mlcClass$$1_selector$$8$$ = this.$_elem$.querySelector($infolet$$8_mlcClass$$1_selector$$8$$)) {
    this.$_arInfoletsToShow$ || (this.$_arInfoletsToShow$ = []), this.$_arInfoletsToShow$.push($infolet$$8_mlcClass$$1_selector$$8$$), this.$_showingInfolets$ = !0, $infolet$$8_mlcClass$$1_selector$$8$$ = window.adf.$shared$.$impl$.$masonryLayout$.$MasonryLayoutCommon$, this.$_layoutPhase$ !== $infolet$$8_mlcClass$$1_selector$$8$$.$_PHASE_HIDE$ && this.$_layoutPhase$ !== $infolet$$8_mlcClass$$1_selector$$8$$.$_PHASE_LAYOUT$ ? this.$_queueRelayout$() : this.$_showingInfolets$ = !1;
  }
};
window.adf.$shared$.$impl$.$masonryLayout$.$MasonryLayoutCommon$.prototype.$hideTile$ = function $window$adf$$shared$$$impl$$$masonryLayout$$$MasonryLayoutCommon$$$$hideTile$$($infolet$$9_selector$$9$$) {
  if ($infolet$$9_selector$$9$$ = this.$_elem$.querySelector($infolet$$9_selector$$9$$)) {
    this.$_arInfoletsToHide$ || (this.$_arInfoletsToHide$ = []), this.$_arInfoletsToHide$.push($infolet$$9_selector$$9$$), this.$_hidingInfolets$ = !0, this.$_queueRelayout$();
  }
};
window.adf.$shared$.$impl$.$masonryLayout$.$MasonryLayoutCommon$.prototype.$resizeNotify$ = function $window$adf$$shared$$$impl$$$masonryLayout$$$MasonryLayoutCommon$$$$resizeNotify$$() {
  this.$_resizingInfolet$ || this.$_hidingInfolets$ || this.$_showingInfolets$ || (this.$_layoutCycleOnStartFunc$ && this.$_layoutCycleOnStartFunc$(), this.$_layoutPhase$ = window.adf.$shared$.$impl$.$masonryLayout$.$MasonryLayoutCommon$.$_PHASE_LAYOUT$, this.$_handlingResizeNotify$ = !0, this.$_transitionStart$(!1), this.$_transitionLayout$());
};
window.adf.$shared$.$impl$.$masonryLayout$.$MasonryLayoutCommon$.prototype.$isAnimationEnabled$ = function $window$adf$$shared$$$impl$$$masonryLayout$$$MasonryLayoutCommon$$$$isAnimationEnabled$$() {
  if (this.$_temporarilyDisableAnimation$) {
    return !1;
  }
  if (!this.$_cachedAnimationEnabled$) {
    if (this.$_automationEnabled$) {
      this.$_animationEnabled$ = !1;
    } else {
      var $mlcClass$$3$$ = window.adf.$shared$.$impl$.$masonryLayout$.$MasonryLayoutCommon$;
      this.$_animationEnabled$ = $mlcClass$$3$$.$_isMinimumAgentMet$($mlcClass$$3$$.$_agentTypeAndVersion$[0], $mlcClass$$3$$.$_agentTypeAndVersion$[1], "gecko", 16, "trident", 6, "webkit", 533.1);
    }
    this.$_cachedAnimationEnabled$ = !0;
  }
  return this.$_animationEnabled$;
};
window.adf.$shared$.$impl$.$masonryLayout$.$MasonryLayoutCommon$.prototype.$isInLayoutCycle$ = function $window$adf$$shared$$$impl$$$masonryLayout$$$MasonryLayoutCommon$$$$isInLayoutCycle$$() {
  return null != this.$_layoutPhase$;
};
window.adf.$shared$.$impl$.$masonryLayout$.$MasonryLayoutCommon$.prototype.$finishLayoutCycle$ = function $window$adf$$shared$$$impl$$$masonryLayout$$$MasonryLayoutCommon$$$$finishLayoutCycle$$() {
  this.$_temporarilyDisableAnimation$ = !0;
  this.$_removeStyleClassFromTiles$(this.$_transitionMoveToStyleClass$);
  this.$_removeStyleClassFromTiles$(this.$_transitionMoveToFastStyleClass$);
  this.$_removeStyleClassFromTiles$(this.$_transitionHideFromStyleClass$);
  this.$_removeStyleClassFromTiles$(this.$_transitionHideToStyleClass$);
  this.$_removeStyleClassFromTiles$(this.$_transitionShowFromStyleClass$);
  this.$_removeStyleClassFromTiles$(this.$_transitionShowToStyleClass$);
  this.$_removeStyleClassFromTiles$(this.$_transitionResizeToStyleClass$);
  this.$_removeStyleClassNameFunc$(this.$_sizeDiv$, this.$_transitionComponentResizeToStyleClass$);
  this.$_removeStyleClassNameFunc$(this.$_sizeDiv$, this.$_transitionComponentResizeToFastStyleClass$);
  var $mlcClass$$4$$ = window.adf.$shared$.$impl$.$masonryLayout$.$MasonryLayoutCommon$;
  $mlcClass$$4$$.$_removeBubbleEventListener$(this.$_elem$, "transitionend", this.$_handleTransitionEndFunc$);
  $mlcClass$$4$$.$_removeBubbleEventListener$(this.$_elem$, "webkitTransitionEnd", this.$_handleTransitionEndFunc$);
  for (var $tileChildren$$ = this.$_getTileChildren$(), $i$$715$$ = 0;$i$$715$$ < $tileChildren$$.length;$i$$715$$++) {
    var $child$$67$$ = $tileChildren$$[$i$$715$$];
    $child$$67$$.$_afrOldSizeStyleClass$ && delete $child$$67$$.$_afrOldSizeStyleClass$;
    $mlcClass$$4$$.$_removeBubbleEventListener$($child$$67$$, "transitionend", this.$_handleHideTransitionEndFunc$);
    $mlcClass$$4$$.$_removeBubbleEventListener$($child$$67$$, "webkitTransitionEnd", this.$_handleHideTransitionEndFunc$);
    $mlcClass$$4$$.$_removeBubbleEventListener$($child$$67$$, "transitionend", this.$_handleShowTransitionEndFunc$);
    $mlcClass$$4$$.$_removeBubbleEventListener$($child$$67$$, "webkitTransitionEnd", this.$_handleShowTransitionEndFunc$);
  }
  this.$_hideTilesInternalTimeout$ ? (clearTimeout(this.$_hideTilesInternalTimeout$), this.$_hideTilesInternalTimeout$ = null, this.$_handleHideTransitionEnd$(null)) : this.$_showTilesTimeout$ ? (clearTimeout(this.$_showTilesTimeout$), this.$_showTilesTimeout$ = null, this.$_showTiles$()) : this.$_layoutPhase$ === $mlcClass$$4$$.$_PHASE_LAYOUT$ ? this.$_handleTransitionEnd$(null) : this.$_layoutPhase$ === $mlcClass$$4$$.$_PHASE_SHOW$ && this.$_handleShowTransitionEnd$(null);
  this.$_temporarilyDisableAnimation$ = !1;
};
window.adf.$shared$.$impl$.$masonryLayout$.$MasonryLayoutCommon$.$_getElemSize$ = function $window$adf$$shared$$$impl$$$masonryLayout$$$MasonryLayoutCommon$$$_getElemSize$$($elem$$67$$) {
  var $mlcClass$$5$$ = window.adf.$shared$.$impl$.$masonryLayout$.$MasonryLayoutCommon$, $computedStyle$$22$$ = $mlcClass$$5$$.$_getComputedStyle$($elem$$67$$);
  return {$w$:$elem$$67$$.offsetWidth + ($mlcClass$$5$$.$_getCSSLengthAsInt$($computedStyle$$22$$.marginLeft) + $mlcClass$$5$$.$_getCSSLengthAsInt$($computedStyle$$22$$.marginRight)), $h$:$elem$$67$$.offsetHeight + ($mlcClass$$5$$.$_getCSSLengthAsInt$($computedStyle$$22$$.marginTop) + $mlcClass$$5$$.$_getCSSLengthAsInt$($computedStyle$$22$$.marginBottom))};
};
window.adf.$shared$.$impl$.$masonryLayout$.$MasonryLayoutCommon$.$_getElemInsets$ = function $window$adf$$shared$$$impl$$$masonryLayout$$$MasonryLayoutCommon$$$_getElemInsets$$($computedStyle$$23_elem$$68$$) {
  var $mlcClass$$6$$ = window.adf.$shared$.$impl$.$masonryLayout$.$MasonryLayoutCommon$;
  $computedStyle$$23_elem$$68$$ = $mlcClass$$6$$.$_getComputedStyle$($computedStyle$$23_elem$$68$$);
  return {paddingLeft:$mlcClass$$6$$.$_getCSSLengthAsInt$($computedStyle$$23_elem$$68$$.paddingLeft), paddingRight:$mlcClass$$6$$.$_getCSSLengthAsInt$($computedStyle$$23_elem$$68$$.paddingRight), paddingTop:$mlcClass$$6$$.$_getCSSLengthAsInt$($computedStyle$$23_elem$$68$$.paddingTop), paddingBottom:$mlcClass$$6$$.$_getCSSLengthAsInt$($computedStyle$$23_elem$$68$$.paddingBottom), borderLeftWidth:$mlcClass$$6$$.$_getCSSLengthAsInt$($computedStyle$$23_elem$$68$$.borderLeftWidth), borderRightWidth:$mlcClass$$6$$.$_getCSSLengthAsInt$($computedStyle$$23_elem$$68$$.borderRightWidth), 
  borderTopWidth:$mlcClass$$6$$.$_getCSSLengthAsInt$($computedStyle$$23_elem$$68$$.borderTopWidth), borderBottomWidth:$mlcClass$$6$$.$_getCSSLengthAsInt$($computedStyle$$23_elem$$68$$.borderBottomWidth)};
};
window.adf.$shared$.$impl$.$masonryLayout$.$MasonryLayoutCommon$.$_getComputedStyle$ = function $window$adf$$shared$$$impl$$$masonryLayout$$$MasonryLayoutCommon$$$_getComputedStyle$$($elem$$69$$) {
  var $defView$$1$$ = $elem$$69$$.ownerDocument.defaultView, $computedStyle$$24$$ = null;
  return $computedStyle$$24$$ = $defView$$1$$ ? $defView$$1$$.getComputedStyle($elem$$69$$, null) : $elem$$69$$.currentStyle;
};
window.adf.$shared$.$impl$.$masonryLayout$.$MasonryLayoutCommon$.$_getCSSLengthAsInt$ = function $window$adf$$shared$$$impl$$$masonryLayout$$$MasonryLayoutCommon$$$_getCSSLengthAsInt$$($cssLength$$3_intLength$$2$$) {
  return 0 < $cssLength$$3_intLength$$2$$.length && "auto" != $cssLength$$3_intLength$$2$$ ? ($cssLength$$3_intLength$$2$$ = parseInt($cssLength$$3_intLength$$2$$, 10), isNaN($cssLength$$3_intLength$$2$$) && ($cssLength$$3_intLength$$2$$ = 0), $cssLength$$3_intLength$$2$$) : 0;
};
window.adf.$shared$.$impl$.$masonryLayout$.$MasonryLayoutCommon$.$_addBubbleEventListener$ = function $window$adf$$shared$$$impl$$$masonryLayout$$$MasonryLayoutCommon$$$_addBubbleEventListener$$($node$$148$$, $type$$200$$, $listener$$118$$) {
  $node$$148$$.addEventListener ? $node$$148$$.addEventListener($type$$200$$, $listener$$118$$, !1) : $node$$148$$.attachEvent && $node$$148$$.attachEvent("on" + $type$$200$$, $listener$$118$$);
};
window.adf.$shared$.$impl$.$masonryLayout$.$MasonryLayoutCommon$.$_removeBubbleEventListener$ = function $window$adf$$shared$$$impl$$$masonryLayout$$$MasonryLayoutCommon$$$_removeBubbleEventListener$$($node$$149$$, $type$$201$$, $listener$$119$$) {
  $node$$149$$.removeEventListener ? $node$$149$$.removeEventListener($type$$201$$, $listener$$119$$, !1) : $node$$149$$.detachEvent && $node$$149$$.detachEvent("on" + $type$$201$$, $listener$$119$$);
};
window.adf.$shared$.$impl$.$masonryLayout$.$MasonryLayoutCommon$.$_arrayIndexOf$ = function $window$adf$$shared$$$impl$$$masonryLayout$$$MasonryLayoutCommon$$$_arrayIndexOf$$($array$$29$$, $item$$63$$) {
  if ($array$$29$$) {
    for (var $i$$716$$ = 0;$i$$716$$ < $array$$29$$.length;$i$$716$$++) {
      if ($array$$29$$[$i$$716$$] == $item$$63$$) {
        return $i$$716$$;
      }
    }
  }
  return -1;
};
window.adf.$shared$.$impl$.$masonryLayout$.$MasonryLayoutCommon$.$_isMinimumAgentMet$ = function $window$adf$$shared$$$impl$$$masonryLayout$$$MasonryLayoutCommon$$$_isMinimumAgentMet$$($actualAgentType$$1$$, $actualAgentVersion$$1$$) {
  var $argCount$$8$$ = arguments.length;
  if (0 == $argCount$$8$$ % 2) {
    for (var $i$$717$$ = 2;$i$$717$$ <= $argCount$$8$$ - 2;$i$$717$$ += 2) {
      if ($actualAgentType$$1$$ == arguments[$i$$717$$]) {
        if ($actualAgentVersion$$1$$ >= arguments[1 + $i$$717$$]) {
          return !0;
        }
        break;
      }
    }
  }
  return !1;
};
window.adf.$shared$.$impl$.$masonryLayout$.$MasonryLayoutCommon$.$_getAgentTypeAndVersion$ = function $window$adf$$shared$$$impl$$$masonryLayout$$$MasonryLayoutCommon$$$_getAgentTypeAndVersion$$($givenUserAgentString$$1_userAgent$$22$$) {
  var $versionParser$$1$$ = window.adf.$shared$.$impl$.$masonryLayout$.$MasonryLayoutCommon$.$_parseFloatVersion$, $agentType$$7$$ = null, $agentVersion$$9_possibleVersion$$1$$ = -1;
  $givenUserAgentString$$1_userAgent$$22$$ = $givenUserAgentString$$1_userAgent$$22$$.toLowerCase();
  -1 != $givenUserAgentString$$1_userAgent$$22$$.indexOf("msie") || -1 != $givenUserAgentString$$1_userAgent$$22$$.indexOf("trident") ? ($agentType$$7$$ = "trident", $agentVersion$$9_possibleVersion$$1$$ = $versionParser$$1$$($givenUserAgentString$$1_userAgent$$22$$, /trident\/(\d+[.]\d+)/), -1 == $agentVersion$$9_possibleVersion$$1$$ && ($agentVersion$$9_possibleVersion$$1$$ = $versionParser$$1$$($givenUserAgentString$$1_userAgent$$22$$, /msie (\d+\.\d+);/), -1 == $agentVersion$$9_possibleVersion$$1$$ && 
  ($agentVersion$$9_possibleVersion$$1$$ = $versionParser$$1$$($givenUserAgentString$$1_userAgent$$22$$, /msie (\d+\.\d+)b;/)), $agentVersion$$9_possibleVersion$$1$$ -= 4), null != document.documentMode && ($agentVersion$$9_possibleVersion$$1$$ = Math.min($agentVersion$$9_possibleVersion$$1$$, document.documentMode - 4))) : -1 != $givenUserAgentString$$1_userAgent$$22$$.indexOf("applewebkit") ? ($agentType$$7$$ = "webkit", $agentVersion$$9_possibleVersion$$1$$ = $versionParser$$1$$($givenUserAgentString$$1_userAgent$$22$$, 
  /applewebkit\/(\d+([.]\d+)*)/)) : -1 != $givenUserAgentString$$1_userAgent$$22$$.indexOf("gecko/") && ($agentType$$7$$ = "gecko", $agentVersion$$9_possibleVersion$$1$$ = $versionParser$$1$$($givenUserAgentString$$1_userAgent$$22$$, /rv:(\d+[.]\d+)/));
  return [$agentType$$7$$, $agentVersion$$9_possibleVersion$$1$$];
};
window.adf.$shared$.$impl$.$masonryLayout$.$MasonryLayoutCommon$.$_parseFloatVersion$ = function $window$adf$$shared$$$impl$$$masonryLayout$$$MasonryLayoutCommon$$$_parseFloatVersion$$($userAgent$$23$$, $versionNumberPattern$$2$$) {
  var $matches$$7_versionString$$2$$ = $userAgent$$23$$.match($versionNumberPattern$$2$$);
  return $matches$$7_versionString$$2$$ && ($matches$$7_versionString$$2$$ = $matches$$7_versionString$$2$$[1]) ? parseFloat($matches$$7_versionString$$2$$) : -1;
};
window.adf.$shared$.$impl$.$masonryLayout$.$MasonryLayoutCommon$.$_compareTilePositions$ = function $window$adf$$shared$$$impl$$$masonryLayout$$$MasonryLayoutCommon$$$_compareTilePositions$$($pos1$$, $pos2$$) {
  return $pos1$$.$startRow$ > $pos2$$.$startRow$ ? 1 : $pos1$$.$startRow$ < $pos2$$.$startRow$ ? -1 : $pos1$$.$startCol$ > $pos2$$.$startCol$ ? 1 : $pos1$$.$startCol$ < $pos2$$.$startCol$ ? -1 : 0;
};
window.adf.$shared$.$impl$.$masonryLayout$.$MasonryLayoutCommon$.prototype.$_queueRelayout$ = function $window$adf$$shared$$$impl$$$masonryLayout$$$MasonryLayoutCommon$$$$_queueRelayout$$() {
  this.$_hideTilesTimeout$ || (this.$_layoutPhase$ ? this.$_queuedRelayout$ || (this.$_queuedRelayout$ = !0) : this.$_hideTilesTimeout$ = setTimeout(this.$_hideTilesFunc$, 0));
};
window.adf.$shared$.$impl$.$masonryLayout$.$MasonryLayoutCommon$.prototype.$_getTileChildren$ = function $window$adf$$shared$$$impl$$$masonryLayout$$$MasonryLayoutCommon$$$$_getTileChildren$$() {
  for (var $children$$75$$ = this.$_elem$.querySelectorAll(this.$_tilesSelector$), $arChildren$$6$$ = [], $i$$718$$ = 0;$i$$718$$ < $children$$75$$.length;$i$$718$$++) {
    var $child$$68$$ = $children$$75$$[$i$$718$$], $childStyle$$7$$ = $child$$68$$.style;
    0 < $child$$68$$.offsetWidth && 0 < $child$$68$$.offsetHeight && "hidden" != $childStyle$$7$$.visibility && $arChildren$$6$$.push($child$$68$$);
  }
  return $arChildren$$6$$;
};
window.adf.$shared$.$impl$.$masonryLayout$.$MasonryLayoutCommon$.prototype.$_transitionLayout$ = function $window$adf$$shared$$$impl$$$masonryLayout$$$MasonryLayoutCommon$$$$_transitionLayout$$() {
  var $oldMovedInfolets_ret$$5$$ = this.$_arMovedInfolets$, $newMovedInfolets$$ = this.$_layout$();
  if (this.$_arInfoletsToResize$) {
    var $arInfoletsToResize$$1_calledHandleTransitionEnd$$ = this.$_arInfoletsToResize$;
    $newMovedInfolets$$ || ($newMovedInfolets$$ = []);
    for (var $mlcClass$$8$$ = window.adf.$shared$.$impl$.$masonryLayout$.$MasonryLayoutCommon$, $i$$719$$ = 0;$i$$719$$ < $arInfoletsToResize$$1_calledHandleTransitionEnd$$.length;$i$$719$$ += 2) {
      var $resizedInfolet$$ = $arInfoletsToResize$$1_calledHandleTransitionEnd$$[$i$$719$$];
      0 > $mlcClass$$8$$.$_arrayIndexOf$($newMovedInfolets$$, $resizedInfolet$$) && $newMovedInfolets$$.push($resizedInfolet$$);
    }
  }
  $arInfoletsToResize$$1_calledHandleTransitionEnd$$ = !1;
  if (!$newMovedInfolets$$ || 1 > $newMovedInfolets$$.length) {
    if (!$oldMovedInfolets_ret$$5$$ || 1 > $oldMovedInfolets_ret$$5$$.length) {
      this.$_arMovedInfolets$ = null, this.$_handleTransitionEnd$(null), $arInfoletsToResize$$1_calledHandleTransitionEnd$$ = !0;
    }
  } else {
    this.$_arMovedInfolets$ = $newMovedInfolets$$;
  }
  $oldMovedInfolets_ret$$5$$ = null != $newMovedInfolets$$ && 0 < $newMovedInfolets$$.length;
  this.$isAnimationEnabled$() || $arInfoletsToResize$$1_calledHandleTransitionEnd$$ || this.$_handleTransitionEnd$(null);
  return $oldMovedInfolets_ret$$5$$;
};
window.adf.$shared$.$impl$.$masonryLayout$.$MasonryLayoutCommon$.prototype.$_layout$ = function $window$adf$$shared$$$impl$$$masonryLayout$$$MasonryLayoutCommon$$$$_layout$$() {
  var $elem$$71_style$$46$$ = this.$_elem$, $children$$76$$ = this.$_getTileChildren$();
  this.$_sortTilesOriginalOrderFunc$ && this.$_sortTilesOriginalOrderFunc$($children$$76$$);
  var $cellSize$$1_oldSizeStyleClass$$4$$ = this.$_cellSize$ = null;
  this.$_cols$ = 0;
  this.$_rows$ = 1;
  this.$_occupancyMap$ = null;
  var $arMovedInfolets$$ = [], $arOldPositions$$ = [], $arCols$$ = [], $rtl$$13$$ = this.$_rtl$, $insets$$ = window.adf.$shared$.$impl$.$masonryLayout$.$MasonryLayoutCommon$.$_getElemInsets$($elem$$71_style$$46$$), $maxColSpan$$ = 0, $arTilePositions$$ = [];
  this.$_arTilePositions$ = $arTilePositions$$;
  for (var $i$$720$$ = 0;$i$$720$$ < $children$$76$$.length;$i$$720$$++) {
    var $child$$69$$ = $children$$76$$[$i$$720$$], $childSpan$$ = this.$_getTileSpanFunc$($child$$69$$);
    ($cellSize$$1_oldSizeStyleClass$$4$$ = $child$$69$$.$_afrOldSizeStyleClass$) && delete $child$$69$$.$_afrOldSizeStyleClass$;
    if (!this.$_cellSize$) {
      var $r$$26_spanForCellSize_tmpDiv$$ = $childSpan$$;
      $cellSize$$1_oldSizeStyleClass$$4$$ && ($r$$26_spanForCellSize_tmpDiv$$ = document.createElement("div"), $r$$26_spanForCellSize_tmpDiv$$.className = $cellSize$$1_oldSizeStyleClass$$4$$, $r$$26_spanForCellSize_tmpDiv$$ = this.$_getTileSpanFunc$($r$$26_spanForCellSize_tmpDiv$$));
      this.$_cellSize$ = this.$_calcCellSize$($child$$69$$, $r$$26_spanForCellSize_tmpDiv$$);
    }
    $cellSize$$1_oldSizeStyleClass$$4$$ = this.$_cellSize$;
    this.$_occupancyMap$ || (this.$_cols$ = Math.max(Math.floor(($elem$$71_style$$46$$.offsetWidth - $insets$$.paddingLeft - $insets$$.paddingRight - $insets$$.borderLeftWidth - $insets$$.borderRightWidth) / $cellSize$$1_oldSizeStyleClass$$4$$.$w$), 1), this.$_initOccupancyMap$(this.$_cols$, this.$_rows$), $maxColSpan$$ = this.$_cols$);
    $childSpan$$.colSpan > $maxColSpan$$ && ($maxColSpan$$ = $childSpan$$.colSpan);
    $childSpan$$.colSpan > this.$_cols$ && ($childSpan$$.colSpan = this.$_cols$);
    for (var $childStyle$$8_next$$4$$ = !1, $r$$26_spanForCellSize_tmpDiv$$ = 0;$r$$26_spanForCellSize_tmpDiv$$ < this.$_rows$;$r$$26_spanForCellSize_tmpDiv$$++) {
      for (var $c$$36$$ = 0;$c$$36$$ < this.$_cols$;$c$$36$$++) {
        if (this.$_fits$($c$$36$$, $r$$26_spanForCellSize_tmpDiv$$, $childSpan$$)) {
          var $childStyle$$8_next$$4$$ = $child$$69$$.style, $oldPosition$$1$$ = {top:$childStyle$$8_next$$4$$.top};
          $rtl$$13$$ ? $oldPosition$$1$$.right = $childStyle$$8_next$$4$$.right : $oldPosition$$1$$.left = $childStyle$$8_next$$4$$.left;
          $arOldPositions$$.push($oldPosition$$1$$);
          this.$_position$($child$$69$$, $c$$36$$, $r$$26_spanForCellSize_tmpDiv$$, $childSpan$$, $cellSize$$1_oldSizeStyleClass$$4$$, $insets$$);
          $rtl$$13$$ && $arCols$$.push($c$$36$$);
          $childStyle$$8_next$$4$$ = !0;
          $arTilePositions$$.push({$startCol$:$c$$36$$, $startRow$:$r$$26_spanForCellSize_tmpDiv$$, $tile$:$child$$69$$});
          break;
        }
      }
      if ($childStyle$$8_next$$4$$) {
        break;
      }
      $r$$26_spanForCellSize_tmpDiv$$ === this.$_rows$ - 1 && this.$_addRow$();
    }
  }
  $cellSize$$1_oldSizeStyleClass$$4$$ && ($elem$$71_style$$46$$ = this.$_sizeDiv$.style, $elem$$71_style$$46$$.width = $maxColSpan$$ * $cellSize$$1_oldSizeStyleClass$$4$$.$w$ + "px", $elem$$71_style$$46$$.height = this.$_rows$ * $cellSize$$1_oldSizeStyleClass$$4$$.$h$ + "px");
  for ($i$$720$$ = 0;$i$$720$$ < $children$$76$$.length;$i$$720$$++) {
    $child$$69$$ = $children$$76$$[$i$$720$$], $childStyle$$8_next$$4$$ = $child$$69$$.style, $oldPosition$$1$$ = $arOldPositions$$[$i$$720$$], ($rtl$$13$$ && parseInt($childStyle$$8_next$$4$$.right, 10) !== parseInt($oldPosition$$1$$.right, 10) || !$rtl$$13$$ && parseInt($childStyle$$8_next$$4$$.left, 10) !== parseInt($oldPosition$$1$$.left, 10) || parseInt($childStyle$$8_next$$4$$.top, 10) !== parseInt($oldPosition$$1$$.top, 10)) && $arMovedInfolets$$.push($child$$69$$);
  }
  1 > $arMovedInfolets$$.length && ($arMovedInfolets$$ = null);
  return $arMovedInfolets$$;
};
window.adf.$shared$.$impl$.$masonryLayout$.$MasonryLayoutCommon$.prototype.$_reorderTilesForLayout$ = function $window$adf$$shared$$$impl$$$masonryLayout$$$MasonryLayoutCommon$$$$_reorderTilesForLayout$$() {
  var $arTilePositions$$1$$ = this.$_arTilePositions$;
  this.$_arTilePositions$ = null;
  for (var $mlcClass$$10$$ = window.adf.$shared$.$impl$.$masonryLayout$.$MasonryLayoutCommon$, $arTilePositions$$1$$ = $arTilePositions$$1$$.sort($mlcClass$$10$$.$_compareTilePositions$), $children$$77$$ = this.$_getTileChildren$(), $i$$721$$ = 0;$i$$721$$ < $children$$77$$.length;$i$$721$$++) {
    var $child$$70_posTileIndex$$ = $children$$77$$[$i$$721$$], $posTile$$ = $arTilePositions$$1$$[$i$$721$$].$tile$;
    $child$$70_posTileIndex$$ != $posTile$$ && ($child$$70_posTileIndex$$.parentNode.insertBefore($posTile$$, $child$$70_posTileIndex$$), $child$$70_posTileIndex$$ = $mlcClass$$10$$.$_arrayIndexOf$($children$$77$$, $posTile$$), $child$$70_posTileIndex$$ > $i$$721$$ && ($children$$77$$.splice($child$$70_posTileIndex$$, 1), $children$$77$$.splice($i$$721$$, 0, $posTile$$)));
  }
};
window.adf.$shared$.$impl$.$masonryLayout$.$MasonryLayoutCommon$.prototype.$_initOccupancyMap$ = function $window$adf$$shared$$$impl$$$masonryLayout$$$MasonryLayoutCommon$$$$_initOccupancyMap$$($cols$$6$$, $rows$$59$$) {
  for (var $occupancyMap$$ = this.$_occupancyMap$ = [], $row$$145$$ = 0;$row$$145$$ < $rows$$59$$;$row$$145$$++) {
    var $arCols$$1$$ = [];
    $occupancyMap$$.push($arCols$$1$$);
    for (var $col$$26$$ = 0;$col$$26$$ < $cols$$6$$;$col$$26$$++) {
      $arCols$$1$$[$col$$26$$] = !1;
    }
  }
};
window.adf.$shared$.$impl$.$masonryLayout$.$MasonryLayoutCommon$.prototype.$_addRow$ = function $window$adf$$shared$$$impl$$$masonryLayout$$$MasonryLayoutCommon$$$$_addRow$$() {
  this.$_rows$++;
  var $arCols$$2$$ = [];
  this.$_occupancyMap$.push($arCols$$2$$);
  for (var $col$$27$$ = 0;$col$$27$$ < this.$_cols$;$col$$27$$++) {
    $arCols$$2$$[$col$$27$$] = !1;
  }
};
window.adf.$shared$.$impl$.$masonryLayout$.$MasonryLayoutCommon$.prototype.$_fits$ = function $window$adf$$shared$$$impl$$$masonryLayout$$$MasonryLayoutCommon$$$$_fits$$($col$$28$$, $row$$146$$, $childSpan$$1_rowSpan$$) {
  var $colSpan$$7$$ = $childSpan$$1_rowSpan$$.colSpan;
  $childSpan$$1_rowSpan$$ = $childSpan$$1_rowSpan$$.rowSpan;
  for (var $r$$27$$ = $row$$146$$;$r$$27$$ < $row$$146$$ + $childSpan$$1_rowSpan$$;$r$$27$$++) {
    $r$$27$$ >= this.$_rows$ && this.$_addRow$();
    for (var $c$$37$$ = $col$$28$$;$c$$37$$ < $col$$28$$ + $colSpan$$7$$;$c$$37$$++) {
      if ($c$$37$$ >= this.$_cols$ || this.$_occupancyMap$[$r$$27$$][$c$$37$$]) {
        return !1;
      }
    }
  }
  return !0;
};
window.adf.$shared$.$impl$.$masonryLayout$.$MasonryLayoutCommon$.prototype.$_position$ = function $window$adf$$shared$$$impl$$$masonryLayout$$$MasonryLayoutCommon$$$$_position$$($child$$71_style$$47$$, $col$$29$$, $row$$147$$, $childSpan$$2_rowSpan$$1$$, $cellSize$$2$$, $insets$$1$$) {
  var $colSpan$$8$$ = $childSpan$$2_rowSpan$$1$$.colSpan;
  $childSpan$$2_rowSpan$$1$$ = $childSpan$$2_rowSpan$$1$$.rowSpan;
  for (var $occupancyMap$$2$$ = this.$_occupancyMap$, $r$$28$$ = $row$$147$$;$r$$28$$ < $row$$147$$ + $childSpan$$2_rowSpan$$1$$;$r$$28$$++) {
    for (var $c$$38$$ = $col$$29$$;$c$$38$$ < $col$$29$$ + $colSpan$$8$$;$c$$38$$++) {
      $occupancyMap$$2$$[$r$$28$$][$c$$38$$] = !0;
    }
  }
  $child$$71_style$$47$$ = $child$$71_style$$47$$.style;
  $child$$71_style$$47$$.top = $insets$$1$$.paddingTop + $row$$147$$ * $cellSize$$2$$.$h$ + "px";
  this.$_rtl$ ? $child$$71_style$$47$$.right = $insets$$1$$.paddingRight + $col$$29$$ * $cellSize$$2$$.$w$ + "px" : $child$$71_style$$47$$.left = $insets$$1$$.paddingLeft + $col$$29$$ * $cellSize$$2$$.$w$ + "px";
};
window.adf.$shared$.$impl$.$masonryLayout$.$MasonryLayoutCommon$.prototype.$_addStyleClassToTiles$ = function $window$adf$$shared$$$impl$$$masonryLayout$$$MasonryLayoutCommon$$$$_addStyleClassToTiles$$($styleClassName$$) {
  for (var $children$$78$$ = this.$_getTileChildren$(), $i$$722$$ = 0;$i$$722$$ < $children$$78$$.length;$i$$722$$++) {
    this.$_addStyleClassNameFunc$($children$$78$$[$i$$722$$], $styleClassName$$);
  }
};
window.adf.$shared$.$impl$.$masonryLayout$.$MasonryLayoutCommon$.prototype.$_removeStyleClassFromTiles$ = function $window$adf$$shared$$$impl$$$masonryLayout$$$MasonryLayoutCommon$$$$_removeStyleClassFromTiles$$($styleClassName$$1$$) {
  for (var $children$$79$$ = this.$_getTileChildren$(), $i$$723$$ = 0;$i$$723$$ < $children$$79$$.length;$i$$723$$++) {
    this.$_removeStyleClassNameFunc$($children$$79$$[$i$$723$$], $styleClassName$$1$$);
  }
};
window.adf.$shared$.$impl$.$masonryLayout$.$MasonryLayoutCommon$.prototype.$_transitionStart$ = function $window$adf$$shared$$$impl$$$masonryLayout$$$MasonryLayoutCommon$$$$_transitionStart$$($mlcClass$$11_reorder$$2$$) {
  this.$_layoutTransition$ || (this.$_reorderTransitionStarted$ = $mlcClass$$11_reorder$$2$$, this.$isAnimationEnabled$() && (this.$_addStyleClassToTiles$($mlcClass$$11_reorder$$2$$ ? this.$_transitionMoveToFastStyleClass$ : this.$_transitionMoveToStyleClass$), this.$_addStyleClassNameFunc$(this.$_sizeDiv$, $mlcClass$$11_reorder$$2$$ ? this.$_transitionComponentResizeToFastStyleClass$ : this.$_transitionComponentResizeToStyleClass$), $mlcClass$$11_reorder$$2$$ = window.adf.$shared$.$impl$.$masonryLayout$.$MasonryLayoutCommon$, 
  $mlcClass$$11_reorder$$2$$.$_addBubbleEventListener$(this.$_elem$, "transitionend", this.$_handleTransitionEndFunc$), $mlcClass$$11_reorder$$2$$.$_addBubbleEventListener$(this.$_elem$, "webkitTransitionEnd", this.$_handleTransitionEndFunc$)), this.$_layoutTransition$ = !0);
};
window.adf.$shared$.$impl$.$masonryLayout$.$MasonryLayoutCommon$.prototype.$_handleTransitionEnd$ = function $window$adf$$shared$$$impl$$$masonryLayout$$$MasonryLayoutCommon$$$$_handleTransitionEnd$$($event$$330_i$$724$$) {
  var $arInfoletsToResize$$2_doneTransitioning_mlcClass$$12$$ = !0;
  if (this.$_arMovedInfolets$) {
    var $arMovedInfolets$$1$$ = this.$_arMovedInfolets$;
    if ($event$$330_i$$724$$) {
      var $target$$227$$ = $event$$330_i$$724$$.target;
      for ($event$$330_i$$724$$ = 0;$event$$330_i$$724$$ < $arMovedInfolets$$1$$.length;$event$$330_i$$724$$++) {
        if ($target$$227$$ === $arMovedInfolets$$1$$[$event$$330_i$$724$$]) {
          $arMovedInfolets$$1$$.splice($event$$330_i$$724$$, 1);
          break;
        }
      }
    } else {
      this.$isAnimationEnabled$() || ($arMovedInfolets$$1$$ = this.$_arMovedInfolets$ = []);
    }
    0 < $arMovedInfolets$$1$$.length && ($arInfoletsToResize$$2_doneTransitioning_mlcClass$$12$$ = !1);
  }
  if ($arInfoletsToResize$$2_doneTransitioning_mlcClass$$12$$) {
    if (this.$_arInfoletsToResize$ && ($arInfoletsToResize$$2_doneTransitioning_mlcClass$$12$$ = this.$_arInfoletsToResize$, this.$_arInfoletsToResize$ = null, this.$isAnimationEnabled$())) {
      for ($event$$330_i$$724$$ = 0;$event$$330_i$$724$$ < $arInfoletsToResize$$2_doneTransitioning_mlcClass$$12$$.length;$event$$330_i$$724$$ += 2) {
        this.$_removeStyleClassNameFunc$($arInfoletsToResize$$2_doneTransitioning_mlcClass$$12$$[$event$$330_i$$724$$], this.$_transitionResizeToStyleClass$);
      }
    }
    this.$_reorderTransitionStarted$ ? (this.$isAnimationEnabled$() && (this.$_removeStyleClassFromTiles$(this.$_transitionMoveToFastStyleClass$), this.$_removeStyleClassNameFunc$(this.$_sizeDiv$, this.$_transitionComponentResizeToFastStyleClass$)), this.$_reorderTransitionStarted$ = !1) : this.$isAnimationEnabled$() && (this.$_removeStyleClassFromTiles$(this.$_transitionMoveToStyleClass$), this.$_removeStyleClassNameFunc$(this.$_sizeDiv$, this.$_transitionComponentResizeToStyleClass$));
    $arInfoletsToResize$$2_doneTransitioning_mlcClass$$12$$ = window.adf.$shared$.$impl$.$masonryLayout$.$MasonryLayoutCommon$;
    this.$isAnimationEnabled$() && ($arInfoletsToResize$$2_doneTransitioning_mlcClass$$12$$.$_removeBubbleEventListener$(this.$_elem$, "transitionend", this.$_handleTransitionEndFunc$), $arInfoletsToResize$$2_doneTransitioning_mlcClass$$12$$.$_removeBubbleEventListener$(this.$_elem$, "webkitTransitionEnd", this.$_handleTransitionEndFunc$));
    this.$_showingInfolets$ = this.$_hidingInfolets$ = this.$_resizingInfolet$ = this.$_layoutTransition$ = !1;
    this.$_reorderTilesForLayout$();
    this.$_layoutOnEndFunc$ && this.$_layoutOnEndFunc$();
    if (this.$_layoutPhase$ === $arInfoletsToResize$$2_doneTransitioning_mlcClass$$12$$.$_PHASE_LAYOUT$ && !this.$_handlingResizeNotify$) {
      if (this.$isAnimationEnabled$()) {
        var $self$$75$$ = this;
        this.$_showTilesTimeout$ = setTimeout(function() {
          $self$$75$$.$_showTiles$();
        }, 0);
      } else {
        this.$_showTiles$();
      }
    } else {
      if (!this.$_layoutPhase$ || this.$_handlingResizeNotify$) {
        this.$_layoutPhase$ = this.$_handlingResizeNotify$ = null, this.$_layoutCycleOnEndFunc$ && this.$_layoutCycleOnEndFunc$();
      }
    }
  }
};
window.adf.$shared$.$impl$.$masonryLayout$.$MasonryLayoutCommon$.prototype.$_calcCellSize$ = function $window$adf$$shared$$$impl$$$masonryLayout$$$MasonryLayoutCommon$$$$_calcCellSize$$($child$$72$$, $childSpan$$3$$) {
  var $childSize$$ = window.adf.$shared$.$impl$.$masonryLayout$.$MasonryLayoutCommon$.$_getElemSize$($child$$72$$);
  return {$w$:$childSize$$.$w$ / $childSpan$$3$$.colSpan, $h$:$childSize$$.$h$ / $childSpan$$3$$.rowSpan};
};
window.adf.$shared$.$impl$.$masonryLayout$.$MasonryLayoutCommon$.prototype.$_hideTiles$ = function $window$adf$$shared$$$impl$$$masonryLayout$$$MasonryLayoutCommon$$$$_hideTiles$$() {
  this.$_hideTilesTimeout$ && (clearTimeout(this.$_hideTilesTimeout$), this.$_hideTilesTimeout$ = null);
  this.$_layoutCycleOnStartFunc$ && this.$_layoutCycleOnStartFunc$();
  var $mlcClass$$14$$ = window.adf.$shared$.$impl$.$masonryLayout$.$MasonryLayoutCommon$;
  this.$_layoutPhase$ = $mlcClass$$14$$.$_PHASE_HIDE$;
  if (this.$_arInfoletsToHide$ && this.$isAnimationEnabled$()) {
    for (var $arInfoletsToHide$$1$$ = this.$_arInfoletsToHide$, $i$$725$$ = 0;$i$$725$$ < $arInfoletsToHide$$1$$.length;$i$$725$$++) {
      var $infolet$$11$$ = $arInfoletsToHide$$1$$[$i$$725$$];
      $mlcClass$$14$$.$_addBubbleEventListener$($infolet$$11$$, "transitionend", this.$_handleHideTransitionEndFunc$);
      $mlcClass$$14$$.$_addBubbleEventListener$($infolet$$11$$, "webkitTransitionEnd", this.$_handleHideTransitionEndFunc$);
      this.$_addStyleClassNameFunc$($infolet$$11$$, this.$_transitionHideFromStyleClass$);
    }
    var $self$$76$$ = this;
    this.$_hideTilesInternalTimeout$ = setTimeout(function() {
      for (var $mlcClass$$14$$ = 0;$mlcClass$$14$$ < $arInfoletsToHide$$1$$.length;$mlcClass$$14$$++) {
        var $i$$725$$ = $arInfoletsToHide$$1$$[$mlcClass$$14$$];
        $self$$76$$.$_removeStyleClassNameFunc$($i$$725$$, $self$$76$$.$_transitionHideFromStyleClass$);
        $self$$76$$.$_addStyleClassNameFunc$($i$$725$$, $self$$76$$.$_transitionHideToStyleClass$);
      }
    }, 0);
  } else {
    this.$_handleHideTransitionEnd$(null);
  }
};
window.adf.$shared$.$impl$.$masonryLayout$.$MasonryLayoutCommon$.prototype.$_handleHideTransitionEnd$ = function $window$adf$$shared$$$impl$$$masonryLayout$$$MasonryLayoutCommon$$$$_handleHideTransitionEnd$$($event$$331_infolet$$13$$) {
  this.$_hideTilesInternalTimeout$ && (clearTimeout(this.$_hideTilesInternalTimeout$), this.$_hideTilesInternalTimeout$ = null);
  var $arInfoletsToResize$$3_mlcClass$$15$$ = window.adf.$shared$.$impl$.$masonryLayout$.$MasonryLayoutCommon$;
  if ($event$$331_infolet$$13$$) {
    $event$$331_infolet$$13$$.preventDefault();
    $event$$331_infolet$$13$$.stopPropagation();
    $event$$331_infolet$$13$$ = $event$$331_infolet$$13$$.target;
    this.$_removeStyleClassNameFunc$($event$$331_infolet$$13$$, this.$_transitionHideToStyleClass$);
    $arInfoletsToResize$$3_mlcClass$$15$$.$_removeBubbleEventListener$($event$$331_infolet$$13$$, "transitionend", this.$_handleHideTransitionEndFunc$);
    $arInfoletsToResize$$3_mlcClass$$15$$.$_removeBubbleEventListener$($event$$331_infolet$$13$$, "webkitTransitionEnd", this.$_handleHideTransitionEndFunc$);
    var $arInfoletsToHide$$2_oldSizeStyleClass$$5_style$$48$$ = this.$_arInfoletsToHide$;
    if ($arInfoletsToHide$$2_oldSizeStyleClass$$5_style$$48$$) {
      for (var $i$$727$$ = 0;$i$$727$$ < $arInfoletsToHide$$2_oldSizeStyleClass$$5_style$$48$$.length;$i$$727$$++) {
        var $tmpInfolet$$ = $arInfoletsToHide$$2_oldSizeStyleClass$$5_style$$48$$[$i$$727$$];
        if ($tmpInfolet$$ === $event$$331_infolet$$13$$) {
          $arInfoletsToHide$$2_oldSizeStyleClass$$5_style$$48$$.splice($i$$727$$, 1);
          this.$_arFireHideOnEnd$ || (this.$_arFireHideOnEnd$ = []);
          var $arFireHideOnEnd_newSizeStyleClass$$3$$ = this.$_arFireHideOnEnd$;
          $arFireHideOnEnd_newSizeStyleClass$$3$$.push($event$$331_infolet$$13$$);
          break;
        }
      }
      1 > $arInfoletsToHide$$2_oldSizeStyleClass$$5_style$$48$$.length && (this.$_arInfoletsToHide$ = null);
    }
  } else {
    if (!this.$isAnimationEnabled$() && ($arInfoletsToHide$$2_oldSizeStyleClass$$5_style$$48$$ = this.$_arInfoletsToHide$)) {
      for ($i$$727$$ = 0;$i$$727$$ < $arInfoletsToHide$$2_oldSizeStyleClass$$5_style$$48$$.length;$i$$727$$++) {
        $tmpInfolet$$ = $arInfoletsToHide$$2_oldSizeStyleClass$$5_style$$48$$[$i$$727$$], this.$_arFireHideOnEnd$ || (this.$_arFireHideOnEnd$ = []), $arFireHideOnEnd_newSizeStyleClass$$3$$ = this.$_arFireHideOnEnd$, $arFireHideOnEnd_newSizeStyleClass$$3$$.push($tmpInfolet$$);
      }
      this.$_arInfoletsToHide$ = null;
    }
  }
  if (!this.$_arInfoletsToHide$) {
    if (this.$_arFireHideOnEnd$) {
      $arFireHideOnEnd_newSizeStyleClass$$3$$ = this.$_arFireHideOnEnd$;
      for ($i$$727$$ = 0;$i$$727$$ < $arFireHideOnEnd_newSizeStyleClass$$3$$.length;$i$$727$$++) {
        $event$$331_infolet$$13$$ = $arFireHideOnEnd_newSizeStyleClass$$3$$[$i$$727$$], this.$isAnimationEnabled$() && this.$_removeStyleClassNameFunc$($event$$331_infolet$$13$$, this.$_transitionHideToStyleClass$), $arInfoletsToHide$$2_oldSizeStyleClass$$5_style$$48$$ = $event$$331_infolet$$13$$.style, this.$_rtl$ ? $arInfoletsToHide$$2_oldSizeStyleClass$$5_style$$48$$.right = "" : $arInfoletsToHide$$2_oldSizeStyleClass$$5_style$$48$$.left = "", $arInfoletsToHide$$2_oldSizeStyleClass$$5_style$$48$$.top = 
        "", this.$_hideTileOnEndFunc$ && this.$_hideTileOnEndFunc$($event$$331_infolet$$13$$);
      }
      this.$_arFireHideOnEnd$ = null;
    }
    this.$_layoutPhase$ = $arInfoletsToResize$$3_mlcClass$$15$$.$_PHASE_LAYOUT$;
    this.$_transitionStart$(!1);
    if (this.$_arInfoletsToResize$) {
      for ($arInfoletsToResize$$3_mlcClass$$15$$ = this.$_arInfoletsToResize$, $i$$727$$ = 0;$i$$727$$ < $arInfoletsToResize$$3_mlcClass$$15$$.length;$i$$727$$ += 2) {
        $event$$331_infolet$$13$$ = $arInfoletsToResize$$3_mlcClass$$15$$[$i$$727$$], $arFireHideOnEnd_newSizeStyleClass$$3$$ = $arInfoletsToResize$$3_mlcClass$$15$$[$i$$727$$ + 1], $arInfoletsToHide$$2_oldSizeStyleClass$$5_style$$48$$ = this.$_getSizeStyleClassNameFunc$($event$$331_infolet$$13$$), this.$_removeStyleClassNameFunc$($event$$331_infolet$$13$$, $arInfoletsToHide$$2_oldSizeStyleClass$$5_style$$48$$), this.$_addStyleClassNameFunc$($event$$331_infolet$$13$$, $arFireHideOnEnd_newSizeStyleClass$$3$$), 
        this.$isAnimationEnabled$() && (this.$_addStyleClassNameFunc$($event$$331_infolet$$13$$, this.$_transitionResizeToStyleClass$), $event$$331_infolet$$13$$.$_afrOldSizeStyleClass$ = $arInfoletsToHide$$2_oldSizeStyleClass$$5_style$$48$$);
      }
    }
    this.$_transitionLayout$();
  }
};
window.adf.$shared$.$impl$.$masonryLayout$.$MasonryLayoutCommon$.prototype.$_showTiles$ = function $window$adf$$shared$$$impl$$$masonryLayout$$$MasonryLayoutCommon$$$$_showTiles$$() {
  this.$_showTilesTimeout$ && (clearTimeout(this.$_showTilesTimeout$), this.$_showTilesTimeout$ = null);
  var $mlcClass$$16$$ = window.adf.$shared$.$impl$.$masonryLayout$.$MasonryLayoutCommon$;
  this.$_layoutPhase$ = $mlcClass$$16$$.$_PHASE_SHOW$;
  if (this.$_arInfoletsToShow$ && this.$isAnimationEnabled$()) {
    for (var $arInfoletsToShow$$1$$ = this.$_arInfoletsToShow$, $i$$728$$ = 0;$i$$728$$ < $arInfoletsToShow$$1$$.length;$i$$728$$++) {
      var $infolet$$14$$ = $arInfoletsToShow$$1$$[$i$$728$$];
      $mlcClass$$16$$.$_addBubbleEventListener$($infolet$$14$$, "transitionend", this.$_handleShowTransitionEndFunc$);
      $mlcClass$$16$$.$_addBubbleEventListener$($infolet$$14$$, "webkitTransitionEnd", this.$_handleShowTransitionEndFunc$);
      this.$_addStyleClassNameFunc$($infolet$$14$$, this.$_transitionShowToStyleClass$);
      this.$_removeStyleClassNameFunc$($infolet$$14$$, this.$_transitionShowFromStyleClass$);
    }
  } else {
    if (this.$_arInfoletsToShow$) {
      for ($arInfoletsToShow$$1$$ = this.$_arInfoletsToShow$, $i$$728$$ = 0;$i$$728$$ < $arInfoletsToShow$$1$$.length;$i$$728$$++) {
        $infolet$$14$$ = $arInfoletsToShow$$1$$[$i$$728$$], this.$_removeStyleClassNameFunc$($infolet$$14$$, this.$_transitionShowFromStyleClass$);
      }
    }
    this.$_handleShowTransitionEnd$(null);
  }
};
window.adf.$shared$.$impl$.$masonryLayout$.$MasonryLayoutCommon$.prototype.$_handleShowTransitionEnd$ = function $window$adf$$shared$$$impl$$$masonryLayout$$$MasonryLayoutCommon$$$$_handleShowTransitionEnd$$($event$$332_infolet$$15$$) {
  if ($event$$332_infolet$$15$$) {
    $event$$332_infolet$$15$$.preventDefault();
    $event$$332_infolet$$15$$.stopPropagation();
    $event$$332_infolet$$15$$ = $event$$332_infolet$$15$$.target;
    this.$_removeStyleClassNameFunc$($event$$332_infolet$$15$$, this.$_transitionShowToStyleClass$);
    var $arInfoletsToShow$$2_mlcClass$$17$$ = window.adf.$shared$.$impl$.$masonryLayout$.$MasonryLayoutCommon$;
    $arInfoletsToShow$$2_mlcClass$$17$$.$_removeBubbleEventListener$($event$$332_infolet$$15$$, "transitionend", this.$_handleShowTransitionEndFunc$);
    $arInfoletsToShow$$2_mlcClass$$17$$.$_removeBubbleEventListener$($event$$332_infolet$$15$$, "webkitTransitionEnd", this.$_handleShowTransitionEndFunc$);
    if ($arInfoletsToShow$$2_mlcClass$$17$$ = this.$_arInfoletsToShow$) {
      for (var $i$$729$$ = 0;$i$$729$$ < $arInfoletsToShow$$2_mlcClass$$17$$.length;$i$$729$$++) {
        var $tmpInfolet$$1$$ = $arInfoletsToShow$$2_mlcClass$$17$$[$i$$729$$];
        if ($tmpInfolet$$1$$ === $event$$332_infolet$$15$$) {
          $arInfoletsToShow$$2_mlcClass$$17$$.splice($i$$729$$, 1);
          this.$_showTileOnEndFunc$ && this.$_showTileOnEndFunc$($event$$332_infolet$$15$$);
          break;
        }
      }
      1 > $arInfoletsToShow$$2_mlcClass$$17$$.length && (this.$_arInfoletsToShow$ = null);
    }
  } else {
    if (!this.$isAnimationEnabled$() && ($arInfoletsToShow$$2_mlcClass$$17$$ = this.$_arInfoletsToShow$)) {
      for ($i$$729$$ = 0;$i$$729$$ < $arInfoletsToShow$$2_mlcClass$$17$$.length;$i$$729$$++) {
        $tmpInfolet$$1$$ = $arInfoletsToShow$$2_mlcClass$$17$$[$i$$729$$], this.$_showTileOnEndFunc$ && this.$_showTileOnEndFunc$($tmpInfolet$$1$$);
      }
      this.$_arInfoletsToShow$ = null;
    }
  }
  this.$_arInfoletsToShow$ || (this.$_layoutPhase$ = null, this.$_layoutCycleOnEndFunc$ && this.$_layoutCycleOnEndFunc$(), this.$_queuedRelayout$ && (this.$_queuedRelayout$ = !1, this.$_queueRelayout$()));
};
window.adf.$shared$.$impl$.$masonryLayout$.$MasonryLayoutCommon$.$_PHASE_HIDE$ = 1;
window.adf.$shared$.$impl$.$masonryLayout$.$MasonryLayoutCommon$.$_PHASE_LAYOUT$ = 2;
window.adf.$shared$.$impl$.$masonryLayout$.$MasonryLayoutCommon$.$_PHASE_SHOW$ = 3;
